<h1>Inventář: <?= (!empty($this->history[0])) ? $this->history[0]['title'] . " ID: " . $this->history[0]['product_id'] : "" ?></h1>
<table class='inventory' style=''>
    <thead>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td>Objednáno</td>
            <td></td>
            <td>Na krámě</td>
            <td></td>
            <td></td>
            <td>Ve skladu</td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td colspan="2">
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $this->history[0]['product_id'] ?>">
                    <input type="hidden" name="operation" value="addshop">
                    <input type="hidden" name="redirect" value="/admin/inventory/history/?product_id=<?= $this->history[0]['product_id'] ?>">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="Doplnit do obchodu">
                </form> 
            </td>
            <td></td>
            <td colspan="2">
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $this->history[0]['product_id'] ?>">
                    <input type="hidden" name="operation" value="addstorage">
                    <input type="hidden" name="redirect" value="/admin/inventory/history/?product_id=<?= $this->history[0]['product_id'] ?>">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="Doplnit do skladu">
                </form> 
            </td>
            <td></td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td colspan="2">
            </td>
            <td>                
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $this->history[0]['product_id'] ?>">
                    <input type="hidden" name="operation" value="move">
                    <input type="hidden" name="redirect" value="/admin/inventory/history/?product_id=<?= $this->history[0]['product_id'] ?>">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="&#171; Přemístit &#171;">
                </form> 
            </td>
            <td colspan="2">
            </td>
            <td></td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td colspan="2">
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $this->history[0]['product_id'] ?>">
                    <input type="hidden" name="operation" value="writeoffshop">
                    <input type="hidden" name="redirect" value="/admin/inventory/history/?product_id=<?= $this->history[0]['product_id'] ?>">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="Odepsat z obchodu" style="background-color: orange">
                </form> 
            </td>
            <td></td>
            <td colspan="2">
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $this->history[0]['product_id'] ?>">
                    <input type="hidden" name="operation" value="writeoffstore">
                    <input type="hidden" name="redirect" value="/admin/inventory/history/?product_id=<?= $this->history[0]['product_id'] ?>">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="Odepsat ze skladu" style="background-color: orange">
                </form> 
            </td>
            <td></td>
        </tr>
        <tr>
            <td>Uživatel</td>
            <td>Datum</td>
            <td>Operace</td>
            <td></td>
            <td>objednáno</td>
            <td></td>
            <td>k dispozici (b)</td>
            <td>reálně (a)</td>
            <td></td>
            <td>k dispozici (b)</td>
            <td>reálně (a)</td>
            <td></td>
        </tr>
    </thead>
    <tbody>
        <?php 
        foreach ($this->history as $value) { ?>
        <tr>
            <td style='text-align: left'>
                <?= $value['user_name'] ?>
            </td>
            <td style='text-align: left'>
                <?= $value['timestamp'] ?>
            </td>
            <td style='text-align: left'>
                <?= $value['operation'] ?>
            </td>
            <td style=''>
                <?php if (!empty($value['inv1l'])) {
                    $color = ($value['inv1l'] < 0) ? "lightgreen" : "yellow" ?>
                <span style='background-color: <?= $color ?>; padding: 10px; position: relative; top: -15px; left: 0px'>
                    <?= $value['inv1l'] ?> &#187;
                </span>
                <?php } ?>
            </td>
            <td style='background-color: #e6db29'>
                <?= $value['inv1a'] ?>
                <?= (empty($value['inv1b'])) ? "" : "<br/><b>blokováno:</b>".$value['inv1b'] ?>
            </td>
            <td style=''>
                <?php
                if (!empty($value['inv1r']) && !empty($value['inv2l']) && ($value['inv1r'] + $value['inv2l'] == 0) && ($value['inv1r'] > 0)) {
                    echo "<span style='background-color: yellow; padding: 10px; position: relative; top: -15px; left: 0px'>&#171;&nbsp;&nbsp;" . $value['inv1r'] . "&nbsp;&nbsp;&#171;</span>"; 
                } else if (!empty($value['inv1r']) && !empty($value['inv2l']) && ($value['inv1r'] + $value['inv2l'] == 0) && ($value['inv1r'] < 0)) {
                    echo "<span style='background-color: yellow; padding: 10px; position: relative; top: -15px; left: 0px'>&#187;&nbsp;&nbsp;" . $value['inv2l'] . "&nbsp;&nbsp;&#187;</span>"; 
                }else if (!empty($value['inv2l'])) {
                    $color = ($value['inv2l'] < 0) ? "red" : "lightgreen" ?>
                <span style='background-color: <?= $color ?>; padding: 10px; position: relative; top: -15px; left: 0px'>
                    <?= $value['inv2l'] ?> &#187;
                </span>
                <?php } ?>
            </td>
            <td style='background-color: #e6a129'>
                <?= $value['inv2b'] ?>
            </td>
            <td style='background-color: #e6a129'>
                <?= ($value['inv2b'] != $value['inv2a']) ? "(".$value['inv2a'].")" : "" ?>
            </td>
            <td style=''> 
                <?php
                if (!empty($value['inv2r']) && !empty($value['inv3l']) && ($value['inv2r'] + $value['inv3l'] == 0)) {
                    echo "<span style='background-color: yellow; padding: 10px; position: relative; top: -15px; left: 0px'>&#171;&nbsp;&nbsp;" . $value['inv2r'] . "&nbsp;&nbsp;&#171;</span>"; 
                } else if (!empty($value['inv2r'])) {
                    echo "<span style='background-color: lightgreen; padding: 10px; position: relative; top: -15px; left: 0px'>&#171; +" . $value['inv2r'] . "</span>"; 
                } else if (!empty($value['inv3l'])) { 
                    echo "<span style='background-color: red; padding: 10px; position: relative; top: -15px; left: 0px'>&#187; " . $value['inv3l'] . "</span>";
                }?>
            </td>
            <td style='background-color: #82e629'>
                <?= $value['inv3b'] ?>
            </td>
            <td style='background-color: #82e629'>
                <?= ($value['inv3b'] != $value['inv3a']) ? "(".$value['inv3a'].")" : "" ?>
            </td>
            <td style=''>                
                <?= (empty($value['inv3r'])) ? "" : "<span style='background-color: lightgreen; padding: 10px; position: relative; top: -15px; left: 0px'>&#171; +" . $value['inv3r'] . "</span>" ?>
            </td>
        </tr>
        <?php } 
        $latest = end($this->history);
        if (!empty($latest['user_id'])) {?>
        <tr>
            <td colspan="12">
                <form method='post' action='/admin/inventory/delete/' style='float: left; '>
                    <input type='hidden' name='product_id' value='<?= $latest['product_id'] ?>'/>
                    <input type='hidden' name='product_history_id' value='<?= $latest['product_history_id'] ?>'/>
                    <input type='submit' value='Stornovat poslední změnu (<?= $latest['operation'] ?>)' class='savebutton'>
                </form>
            </td>
        </tr>
        <?php
        }
        ?>
    </tbody>
</table>
<div class="clear"></div>
<div class="clear"></div>